Create cancellation reasons - Fabric
Create cancellation reasons
cURL
curl --request POST \
--url https://prod01.copilot.fabric.inc/data-subscription/v1/cancellation-reasons \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '\n[\
{\
"code": 99,\
"reason": "Customer is not happy"\
}\
]'\n```
### Python
```python
import requests
url = "https://prod01.copilot.fabric.inc/data-subscription/v1/cancellation-reasons"
payload = [\
{\
"code": 99,\
"reason": "Customer is not happy"\
}\
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([{code: 99, reason: 'Customer is not happy'}])
};
fetch('https://prod01.copilot.fabric.inc/data-subscription/v1/cancellation-reasons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Responses
200
{
"responseStatus": "OK",
"message": "Request processed successfully",
"data": [\
{\
"code": 99,\
"reason": "Customer is not happy"\
}\
]
}
400
{
"responseStatus": "BAD_REQUEST",
"message": "Bad request"
}
403
{
"Message": "User is not authorized to access this resource with an explicit deny"
}
Authorizations
- Authorization: string (header, required)
- Bearer authentication header of the form
Bearer <token>, where <token> is your auth token.
Body
- Cancellation reason to be created:
- code: number
- Cancellation code (Example:
99)
- reason: string
- Cancellation reason (Example:
"Customer is not happy")
Response
- 200: application/json
- Request processed successfully
- Cancellation reason and code to be created
- responseStatus: string
- Brief response status (Example:
"OK")
- message: string
- Full response message (Example:
"Request processed successfully")
- data: object[]
- Cancellation reasons and codes